﻿<?php
$options = get_option('pahe_theme_options');

get_header();

the_post();
$the_content = get_the_content();
if (strpos($the_content,"[headimg]") !== false) {
	$headimg_src_id = substr($the_content, strpos($the_content,"[headimg]") + 9, strpos($the_content,"[/headimg]") - (strpos($the_content,"[headimg]") + 9));
	$image_attributes = wp_get_attachment_image_src($headimg_src_id, 'full');
	$headimg_src = $image_attributes[0];
}

if (strpos($the_content,"[bg]") !== false) {
	$bg_src = substr($the_content, strpos($the_content,"[bg]") + 4, strpos($the_content,"[/bg]") - (strpos($the_content,"[bg]") + 4));
}

ob_start();
the_content();
$the_content = ob_get_clean();
$the_content = str_replace("[headimg]","",$the_content);
$the_content = str_replace("[/headimg]","",$the_content);
$the_content = str_replace($headimg_src_id,"",$the_content);
$the_content = str_replace("[bg]","",$the_content);
$the_content = str_replace("[/bg]","",$the_content);
$the_content = str_replace($bg_src,"",$the_content);


if (!$headimg_src) {
	$options_img = get_option('pahe_img_theme_options');
	$headimg_src = $options_img['pahe_img_head'];
}

if (!$headimg_src) {
	$headimg_src = get_bloginfo('template_directory')."/img/parallax_head.jpg";
}

$menu_mobile = wp_nav_menu( array(
'theme_location' => 'main-menu',
'container_class' => 'mobile_menu_inside',
'echo' => 0,
) );

$menu_mobile = str_replace('<ul','<span',$menu_mobile);
$menu_mobile = str_replace("</ul>","</span>",$menu_mobile);
$menu_mobile = str_replace('<li','<div style="border-bottom:#fff thin solid; height:50px; background-color:#000;"><div style="height:50px; display:table-cell; vertical-align:middle; text-transform:uppercase;"><div style="margin-left:10px;"',$menu_mobile);
$menu_mobile = str_replace("</li>","</div></div></div>",$menu_mobile);
$menu_mobile = str_replace('<a','<a style="font-size:18px; color:#fff;"',$menu_mobile);
$menu_mobile = str_replace('<span class="sub-menu">','</div></div></div><span class="sub-menu-mobile">',$menu_mobile);
$menu_mobile = str_replace('</span>','</span><div style="display:none;"><div><div>',$menu_mobile);
$menu_mobile .= "</div></div></div>";

// *** MENU DESKTOP ***************************************

$locations = get_nav_menu_locations();
$menu = wp_get_nav_menu_object($locations['main-menu']);
$menuitems = wp_get_nav_menu_items($menu->term_id, array('order' => 'DESC'));

$menu_desktop = '';
$slash = "&nbsp;|&nbsp;";

$count = 0;
$submenu = false;
$submenues = array();
	
foreach($menuitems as $item) {
	
	// set up title and url
	$title = $item->title;
	$link = $item->url;
	
	// item does not have a parent so menu_item_parent equals 0 (false)
	if (!$item->menu_item_parent) {
	
		// save this id for later comparison with sub-menu items
		$parent_id = $item->ID;
		
		//Write the first parent item <li>:
		$submenu_open = ' onmouseover="openSubMenu('.$parent_id.');" onmouseout="openSubMenu('.$parent_id.');"';
		$menu_desktop .= '<div class="menu-item" style="display: table-cell;"'.$submenu_open.'>'.$slash.'<a href="'.$link.'">'.$title.'</a>';
	}
	
	//Check that this items' parent id matches the stored parent id:
	if ($parent_id == $item->menu_item_parent) {
		//Start sub-menu <ul> and set $submenu flag to true for later referance:
		if (!$submenu) {
			$submenu = true; 
			$menu_desktop .= '<div class="sub-menu sub-menu-'.$parent_id.'">';
			$menu_desktop .= '<div class="sub-menu-inside sub-menu-inside-'.$parent_id.'">';
			array_push($submenues, $parent_id);
		}
		//Write the sub-menu item:
		$menu_desktop .= '<div><a href="'.$link.'">'.$title.'</a></div>';

		//If the next item does not have the same parent id and we have a sub-menu declared then close the sub-menu <ul>
		if ($menuitems[$count + 1]->menu_item_parent != $parent_id && $submenu) {
			$menu_desktop .= '</div></div>';
			$submenu = false;
		}
	}
	
	//Again, if the next item in the array does not have the same parent id close the <li>
	if ($menuitems[$count + 1]->menu_item_parent != $parent_id) {
		$menu_desktop .= '&nbsp;|&nbsp;</div>';
        $submenu = false;
	}
	$count++;
	$slash = "";
}
// ********************************************************
?>

<body>
<script type="text/javascript">
function openSubMenu(SubMenu) {
	<?php
	$statement = "";
	foreach($submenues as $value) {
		if ($statement != "") {
			$statement .= " || ";
		}
		$statement .= "SubMenu == " . $value;
	}
	?>
	
	if (<?php echo($statement);?>) {
		jQuery(".sub-menu-"+SubMenu).toggle();
	}
}
</script>
<?php
if (get_theme_mod('pahe_foot_setting')) {
	?>
    <div id="seo"><c>
    <h1><?php echo(get_theme_mod('pahe_foot_setting'));?></h1>
    </c></div>
	<?php
}
?>
<div class="parallax" style="width:100%; background-image: url('<?php echo($headimg_src);?>'); background-size:100%; background-attachment:fixed; text-align:center; position:relative;">
	<div align="center" class="headlinebg" style="position:absolute; width:100%; background-image: url('<?php echo(get_bloginfo('template_directory'));?>/img/headline_bg.png'); background-size: 100%;">
		<div align="left" class="headline" style="display:table-cell; vertical-align:middle;">
			<h3 class="headlinemargin" style="font-style:italic; text-shadow: -1px -1px 0 #fff, 1px -1px 0 #fff, -1px 1px 0 #fff, 1px 1px 0 #fff;">
			<?php the_title();?>
			</h3>
		</div>
	</div>
    <div class="main_menu" align="center" style="background-image:url(<?php echo(get_bloginfo('template_directory'));?>/img/menu_bg.png); position:absolute; z-index:100; margin-left:auto; margin-right:auto; left:0; right:0; bottom:0; width:900px; height:50px;">
		<div style="position:relative; display:table-cell; vertical-align:middle; height:50px; font-size:18px; text-transform:uppercase; font-weight:bold;">
			<?php echo($menu_desktop);?>
		</div>
	</div>
	<a href="<?php echo(get_home_url());?>"><img src="<?php echo(get_bloginfo('template_directory'));?>/img/head_fade.png" width="100%" /></a>
</div>
<div class="body" style="width:100%;">
<br />
<table align="center" cellpadding="0" cellspacing="0">
<tr>
<td class="responsive_hidden">
<img src="<?php echo(get_bloginfo('template_directory'));?>/img/content_top.jpg" width="900" height="5" />
</td>
</tr>
<tr>
<td bgcolor="#FFFFFF">
<table cellpadding="0" cellspacing="0">
<tr class="contentheight">
<td class="responsive_hidden" width="5" style="background-image:url(<?php echo(get_bloginfo('template_directory'));?>/img/content_left.jpg); background-repeat:repeat-y;">
</td>
<td class="content" valign="top">
<!--***CONTENT********************************************************************-->
<div class="mobile_menu_outside" style="z-index:100; width:100%; background-color:#000;">
<div class="mobile_menu" align="center" style="width:100%; background-color:#000;" onClick="showmobilemenu();">
<img src="<?php echo(get_bloginfo('template_directory'));?>/img/menu_symbol.png" />
</div>
<?php echo($menu_mobile);?>
</div>
</div>
<br /><br />
<!--******************************************************************************-->
</td>
<td class="responsive_hidden" width="5" style="background-image:url(<?php echo(get_bloginfo('template_directory'));?>/img/content_right.jpg); background-repeat:repeat-y;">
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td class="responsive_hidden">
<img src="<?php echo(get_bloginfo('template_directory'));?>/img/content_bottom.jpg" width="900" height="5" />
</td>
</tr>
</table>
<br />
</div>
<script type="text/javascript">
$(window).scroll(function (event) {
	var scrollpos = $(window).scrollTop();
	if (window.innerWidth > 900) {
		bgimagefixed = "<?php echo(get_bloginfo('template_directory'));?>/img/menu_bg_fixed.png";
		bgimage = "<?php echo(get_bloginfo('template_directory'));?>/img/menu_bg.png";
		if (scrollpos > window.innerWidth / 4.8) {$(".main_menu").css({position: 'fixed', top: '0'}); $(".main_menu").css('background-image', 'url(' + bgimagefixed + ')');}
		if (scrollpos < window.innerWidth / 4.8) {$(".main_menu").css({position: 'absolute', top: 'auto'}); $(".main_menu").css('background-image', 'url(' + bgimage + ')');}
	}
	else
	{
		if (scrollpos > window.innerWidth / 4) {
			$(".mobile_menu_outside").css({position: 'fixed', top: '0'});
			windowheight = parseInt($(window).height()) - 28;
			windowheight = windowheight + "px";
			$(".mobile_menu_inside").css('height', windowheight);
		}
		if (scrollpos < window.innerWidth / 4) {
			$(".mobile_menu_outside").css({position: 'static', top: 'auto'});
			windowheight = parseInt($(window).height()) - 110;
			windowheight = windowheight + "px";
			$(".mobile_menu_inside").css('height', windowheight);
		}
	}
});

function showmobilemenu() {
	$(function(){
		$(".mobile_menu_inside").toggle();
	});
}

$(function(){
	$(".mobile_menu_inside").hide();
	windowheight = parseInt($(window).height()) - 110;
	windowheight = windowheight + "px";
	$(".mobile_menu_inside").css('height', windowheight);
});

<?php
foreach($submenues as $value) {
	?>
	jQuery(".sub-menu-<?php echo($value);?>").toggle();
	<?php
}
?>

$(function(){
	$('.parallax').scrollParallax({
		'speed': <?php echo(get_theme_mod('pahe_speed_setting', '-0.2')); ?>
	});
});
</script>

<?php wp_footer(); // Crucial footer hook! ?>
<?php get_footer(); ?>