<?php 
$options = get_option( 'pahe_theme_options' );

the_post();
$the_content = get_the_content();
if (strpos($the_content,"[bg]") !== false) {$bg_src = substr($the_content, strpos($the_content,"[bg]") + 4, strpos($the_content,"[/bg]") - (strpos($the_content,"[bg]") + 4));}
$image_attributes = wp_get_attachment_image_src($bg_src, 'full');
$bg_src = $image_attributes[0];
rewind_posts();

$options_bg = get_option( 'pahe_bg_theme_options' );
if (!$bg_src) {
	$bg_src = $options_bg['pahe_bg_img'];
}

if ($options['pahe_font']) {$pahe_font = $options['pahe_font'];} else {$pahe_font = "Verdana";}
if ($options['pahe_fonth']) {$pahe_fonth = $options['pahe_fonth'];} else {$pahe_fonth = "Verdana";}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes();?>>
<head>
<meta name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0; user-scalable=0;" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
<?php wp_favicon_request(); ?> 
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" />
<title><?php echo(bloginfo('name') . wp_title());?></title>
<script src="<?php echo(get_bloginfo('template_directory'));?>/js/jquery-1.10.2.min.js"></script>
<script src="<?php echo(get_bloginfo('template_directory'));?>/js/jquery.scrollParallax.min.js"></script>
<script src="<?php echo(get_bloginfo('template_directory'));?>/js/jquery.inview.min.js"></script>
<style type="text/css">
body {
	font-family: <?php echo(get_theme_mod('pahe_font_normal', 'Verdana')); ?>, Verdana;
}
h3 {
	font-family: <?php echo(get_theme_mod('pahe_font_headline', 'Verdana')); ?>, Verdana;
}
.body {
	background-color: <?php echo(get_theme_mod('pahe_background_color', '#000')); ?>;
	<?php
	if ($options_bg['pahe_bg_img']) {
		?>
		background-image: url(<?php echo($bg_src);?>);
		background-repeat: <?php echo($options_bg['pahe_bg_repeat']);?>;
		<?php
		if ($options_bg['pahe_bg_repeat'] == "no-repeat") {
			?>
			background-size: 100%;
			background-position:center center;
			<?php
		}
		?>
		background-attachment: <?php echo($options_bg['pahe_bg_attach']);?>;
		<?php
	}
	?>
}
a:link
{
	font-family: <?php echo(get_theme_mod('pahe_font_normal', 'Verdana')); ?>, Verdana;
}
a:hover
{
	font-family: <?php echo(get_theme_mod('pahe_font_normal', 'Verdana')); ?>, Verdana;
}
a:visited
{
	font-family: <?php echo(get_theme_mod('pahe_font_normal', 'Verdana')); ?>, Verdana;
}
</style>
<?php wp_head(); ?>
</head>